> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable 2Fa

> Disable 2FA for authenticated user.

Accepts ONE of: current password, current TOTP code, or a backup code.
Backup codes are the recovery path for users who've lost their authenticator
AND don't have a usable password (magic-link-only accounts).



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/auth/2fa/disable
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/auth/2fa/disable:
    post:
      tags:
        - Auth
      summary: Disable 2Fa
      description: >-
        Disable 2FA for authenticated user.


        Accepts ONE of: current password, current TOTP code, or a backup code.

        Backup codes are the recovery path for users who've lost their
        authenticator

        AND don't have a usable password (magic-link-only accounts).
      operationId: api_auth_router_disable_2fa
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TwoFactorDisableRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    TwoFactorDisableRequest:
      properties:
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        backup_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Backup Code
      title: TwoFactorDisableRequest
      type: object
    MessageResponse:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: MessageResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````